Bug 1680112 - Compute resource RHEV url should be /ovirt-engine/api
Summary: Compute resource RHEV url should be /ovirt-engine/api
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-22 17:53 UTC by Suraj Patil
Modified: 2020-04-14 13:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
RHEV URL (7.79 KB, image/png)
2019-02-22 17:53 UTC, Suraj Patil
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26917 'Normal' 'Closed' 'Compute resource RHEV url should be /ovirt-engine/api' 2019-11-20 14:44:24 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:01 UTC

Description Suraj Patil 2019-02-22 17:53:10 UTC
Created attachment 1537617 [details]
RHEV URL

Description of problem:

When you go to satellite web UI > Infrastructure > compute resource > Create compute resource > Provider = RHEV. In URL field it shows the example as - "e.g. https://RHEV.example.com/api" it should be e.g. https://RHEV.example.com/ovirt-engine/api 

Version-Release number of selected component (if applicable):
Satellite 6.5.0 


Additional info:

I am attaching the screenshot. 

Documentaion bugzilla is filed for the same - https://bugzilla.redhat.com/show_bug.cgi?id=1680110

Comment 3 Lukáš Hellebrandt 2019-02-25 12:20:43 UTC
It's just an example, valid in some cases (e.g. older versions of RHEV). But updating it shouldn't hurt.

Comment 4 Shira Maximov 2019-05-30 12:17:41 UTC
Created redmine issue https://projects.theforeman.org/issues/26917 from this bug

Comment 5 Bryan Kearney 2019-09-12 10:01:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26917 has been resolved.

Comment 6 Lukáš Hellebrandt 2019-11-20 14:45:51 UTC
Verified with Sat 6.7 snap 2. The example now reads "e.g. https://RHEV.example.com/ovirt-engine/api".

Comment 9 errata-xmlrpc 2020-04-14 13:23:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.